NX Open C++ Reference Guide
|
Represents a Features::Subdivision::SubdivisionSplitFaceBuilder builder. More...
Public Types | |
enum | Types { TypesUniform, TypesThroughLines } |
Represents the split type. More... | |
Public Member Functions | |
void | AddSplitPoint (const NXOpen::Point3d &location, NXOpen::DisplayableObject *object) |
Add split face point. | |
NXOpen::Features::Subdivision::SelectCageObjectData * | FacesToSplit () |
Returns the faces to split. | |
int | Number () |
Returns the desired split number in one face. | |
NXOpen::Features::Subdivision::SelectCageObjectData * | ReferenceEdge () |
Returns the reference edges. | |
void | SetNumber (int number) |
Sets the desired split number in one face. | |
void | SetType (NXOpen::Features::Subdivision::SubdivisionSplitFaceBuilder::Types type) |
Sets the split type. | |
NXOpen::Features::Subdivision::SubdivisionSplitFaceBuilder::Types | Type () |
Returns the split type. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::Subdivision::SubdivisionSplitFaceBuilder builder.
To create a new instance of this class, use Features::Subdivision::SubdivisionBodyCollection::CreateSubdivisionSplitFaceBuilder
Created in NX9.0.0.
void NXOpen::Features::Subdivision::SubdivisionSplitFaceBuilder::AddSplitPoint | ( | const NXOpen::Point3d & | location, |
NXOpen::DisplayableObject * | object | ||
) |
Add split face point.
Created in NX9.0.0.
License requirements : nx_subdivision (" NX SUBDIVISION")
location | the loction on the object to split face. |
object | the selected subdivision edge or vertex to split face. |
NXOpen::Features::Subdivision::SelectCageObjectData* NXOpen::Features::Subdivision::SubdivisionSplitFaceBuilder::FacesToSplit | ( | ) |
Returns the faces to split.
Created in NX9.0.0.
License requirements : None
int NXOpen::Features::Subdivision::SubdivisionSplitFaceBuilder::Number | ( | ) |
Returns the desired split number in one face.
Created in NX9.0.0.
License requirements : None
NXOpen::Features::Subdivision::SelectCageObjectData* NXOpen::Features::Subdivision::SubdivisionSplitFaceBuilder::ReferenceEdge | ( | ) |
Returns the reference edges.
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::Subdivision::SubdivisionSplitFaceBuilder::SetNumber | ( | int | number | ) |
Sets the desired split number in one face.
Created in NX9.0.0.
License requirements : nx_subdivision (" NX SUBDIVISION")
number | number |
void NXOpen::Features::Subdivision::SubdivisionSplitFaceBuilder::SetType | ( | NXOpen::Features::Subdivision::SubdivisionSplitFaceBuilder::Types | type | ) |
Sets the split type.
Created in NX9.0.0.
License requirements : nx_subdivision (" NX SUBDIVISION")
type | type |
NXOpen::Features::Subdivision::SubdivisionSplitFaceBuilder::Types NXOpen::Features::Subdivision::SubdivisionSplitFaceBuilder::Type | ( | ) |
Returns the split type.
Created in NX9.0.0.
License requirements : None